Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class TypedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  calhoun.util.TypedProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class TypedProperties

extends java.util.Properties

See Also:
  Serialized Form

Constructor Summary
`TypedProperties()`
`TypedProperties(java.util.Properties props)`

Method Summary
`boolean` | `getBooleanProperty(java.lang.String name, boolean defValue)`
`double[]` | `getDoubleArrayProperty(java.lang.String name, double[] defValue)`
`double` | `getDoubleProperty(java.lang.String name, double defValue)`
`int[]` | `getIntArrayProperty(java.lang.String name, int[] defValue)`
`int` | `getIntProperty(java.lang.String name, int defValue)`
`short[]` | `getShortArrayProperty(java.lang.String name, short[] defValue)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedProperties

    public TypedProperties()

### TypedProperties

    public TypedProperties(java.util.Properties props)

Method Detail

### getIntProperty

    public int getIntProperty(java.lang.String name,
                              int defValue)

### getDoubleProperty

    public double getDoubleProperty(java.lang.String name,
                                    double defValue)

### getDoubleArrayProperty

    public double[] getDoubleArrayProperty(java.lang.String name,
                                           double[] defValue)

### getIntArrayProperty

    public int[] getIntArrayProperty(java.lang.String name,
                                     int[] defValue)

### getShortArrayProperty

    public short[] getShortArrayProperty(java.lang.String name,
                                         short[] defValue)

### getBooleanProperty

    public boolean getBooleanProperty(java.lang.String name,
                                      boolean defValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD